
From: Marcelo Tosatti <marcelo.tosatti@cyclades.com>

The cyclades.c driver was marked BROKEN_ON_SMP during early 2.6.  It was
fixed later on but the tag was left in Kconfig.

The driver is not very smart wrt SMP locking, it can be improved.  There is
only one spinlock per card which guarantees command block ordering and
protects different shared data, which can be held for long periods.

_But_ the locking works reliably, so remove the BROKEN_ON_SMP tag.


---

 25-akpm/drivers/char/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/Kconfig~cyclades-works-on-smp drivers/char/Kconfig
--- 25/drivers/char/Kconfig~cyclades-works-on-smp	Fri Apr  9 14:57:22 2004
+++ 25-akpm/drivers/char/Kconfig	Fri Apr  9 14:57:22 2004
@@ -110,7 +110,7 @@ config ROCKETPORT
 
 config CYCLADES
 	tristate "Cyclades async mux support"
-	depends on SERIAL_NONSTANDARD && BROKEN_ON_SMP
+	depends on SERIAL_NONSTANDARD
 	---help---
 	  This is a driver for a card that gives you many serial ports. You
 	  would need something like this to connect more than two modems to

_
